
Redmine - Defect #31737

Unable to get csv export

2019-07-15 21:49 - Taylor Naungayan

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version: 4.0.3

Description

We are getting a 500 error when we are trying export a csv.

Started GET

"/projects/stw-ca/issues.csv?utf8=%E2%9C%93&set_filter=1&f%5B%5D=status_id&op%5Bstatus_id%5D=o&v%5Bstatus_id%5D%5

B%5D=&c%5B%5D=id&c%5B%5D=project&c%5B%5D=tracker&c%5B%5D=status&c%5B%5D=priority&c%5B%5D=assigned_to&c

%5B%5D=customer&c%5B%5D=subject&c%5B%5D=last_message&c%5B%5D=updated_on&c%5B%5D=created_on&c%5B%5D=

total_spent_hours&c%5B%5D=estimated_hours&t%5B%5D=spent_hours&sort=updated_on%3Adesc%2Ccreated_on%2Cid%3Ade

sc&c%5B%5D=&encoding=ISO-8859-1" for 172.23.68.69 at 2019-07-15 14:11:38 -0400

Processing by IssuesController#index as CSV

Parameters: {"utf8"=>"✓", "set_filter"=>"1", "f"=>["status_id"], "op"=>{"status_id"=>"o"}, "v"=>{"status_id"=>[""]}, "c"=>["id", "project",

"tracker", "status", "priority", "assigned_to", "customer", "subject", "last_message", "updated_on", "created_on", "total_spent_hours",

"estimated_hours", ""], "t"=>["spent_hours"], "sort"=>"updated_on:desc,created_on,id:desc", "encoding"=>"ISO-8859-1",

"project_id"=>"stw-ca"}

Current user: REDACTED (id=10)

Completed 500 Internal Server Error in 40ms (ActiveRecord: 12.4ms)

FrozenError (can't modify frozen String):

It happens every time even with different options selected

History

#1 - 2019-07-15 22:18 - Taylor Naungayan

- Status changed from New to Resolved

Issue was caused by RedmineUP Helpdesk Plugin

#2 - 2019-07-16 10:12 - Marius BĂLTEANU

- Status changed from Resolved to Closed

Taylor Naungayan wrote:

Issue was caused by RedmineUP Helpdesk Plugin

 Thanks for your feedback.

#3 - 2020-08-07 12:00 - Dimitar (RedmineUP)

Hi,

This is Dimitar from RedmineUP Support.

The reported problem is already fixed by our developers' team. Please update your Helpdesk plugin in order to fix the problem.

A short video demonstration of the working feature could be found here:

https://www.redmineup.com/attachments/download_hashed/92545/22941/c92a3c5efac60fc95de641c465944457/helpdesk_export_csv.ogv

In case of any further problems or questions related to the RedmineUP plugins, please feel free to contact us at support@redmineup.com.
